HighLowMetricValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.shared.HighLowMetricValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.shared
Class HighLowMetricValue

    java.lang.Object
      org.hyperic.hq.product.MetricValue
          org.hyperic.hq.measurement.shared.HighLowMetricValue

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable, IComparableDatapoint, IDataPoint, IDisplayDataPoint, IHighLowDataPoint, IStackedDataPoint

    public class HighLowMetricValue

extends MetricValue
implements IHighLowDataPoint, IComparableDatapoint, java.io.Serializable

Represents a value of a Metric.

See Also:
  `MeasurementPluginManager.getValue(java.lang.String)`, `MeasurementPlugin.getValue(org.hyperic.hq.product.Metric)`, Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.product.MetricValue
`FUTURE, NONE, VALUE_FUTURE, VALUE_NONE`

Constructor Summary
`HighLowMetricValue()` Empty constructor for SOAP serialization
`HighLowMetricValue(double value)` Default retrieval time to System.currentTimeMillis()
`HighLowMetricValue(double value, double highValue, double lowValue, long rtime)` Construct with value.
`HighLowMetricValue(double value, long rtime)` Construct with values.
`HighLowMetricValue(HighLowMetricValue objectValue, long rtime)`
`HighLowMetricValue(long value, long rtime)`
`HighLowMetricValue(java.lang.Number objectValue, long rtime)` one can always extend and override getRetrievalTime to be more robust.

Method Summary
`int` | `compareTo(java.lang.Object o)` This is for the Datapoint interface.
`boolean` | `equals(java.lang.Object obj)`
`int` | `getCount()`
`double` | `getHighValue()` Retrieves the high value of a chart data point.
`java.lang.String` | `getLabel()` Retrieves the label of a chart data point.
`double` | `getLowValue()` Retrieves the low value of a chart data point.
`java.lang.Double` | `getObjectValue()` Get the Object value.
`double[]` | `getValues()` Retrieves the value of a chart data point.
`void` | `incrementCount()`
`void` | `setCount(int count)`
`void` | `setHighValue(double highValue)`
`void` | `setLowValue(double lowValue)`

Methods inherited from class org.hyperic.hq.product.MetricValue
`getTimestamp, getValue, isFuture, isNone, setTimestamp, setValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hyperic.util.data.IDisplayDataPoint
`getTimestamp`

Methods inherited from interface org.hyperic.util.data.IDataPoint
`getValue`

Constructor Detail

### HighLowMetricValue

    public HighLowMetricValue()

  Empty constructor for SOAP serialization

### HighLowMetricValue

    public HighLowMetricValue(double value,
                              double highValue,
                              double lowValue,
                              long rtime)

  Construct with value.

### HighLowMetricValue

    public HighLowMetricValue(double value,
                              long rtime)

  Construct with values.

### HighLowMetricValue

    public HighLowMetricValue(double value)

  Default retrieval time to System.currentTimeMillis()

### HighLowMetricValue

    public HighLowMetricValue(java.lang.Number objectValue,
                              long rtime)

  one can always extend and override getRetrievalTime to be more robust.

### HighLowMetricValue

    public HighLowMetricValue(HighLowMetricValue objectValue,
                              long rtime)

### HighLowMetricValue

    public HighLowMetricValue(long value,
                              long rtime)

Method Detail

### getObjectValue

    public java.lang.Double getObjectValue()

  Get the Object value. Useful if you don't yet care what the type is.

  Overrides:
    `getObjectValue` in class `MetricValue`

### getLabel

    public java.lang.String getLabel()

  Description copied from interface: `IDisplayDataPoint`
  Retrieves the label of a chart data point. The data point is charted on the X axis for line and column charts.

  Specified by:
    `getLabel` in interface `IDisplayDataPoint`
  Overrides:
    `getLabel` in class `MetricValue`
  Returns:
    A String label for a chart data point.

### getLowValue

    public double getLowValue()

  Description copied from interface: `IHighLowDataPoint`
  Retrieves the low value of a chart data point.

  Specified by:
    `getLowValue` in interface `IHighLowDataPoint`
  Returns:
    A floating point value for a chart data point.

### setLowValue

    public void setLowValue(double lowValue)

### getHighValue

    public double getHighValue()

  Description copied from interface: `IHighLowDataPoint`
  Retrieves the high value of a chart data point.

  Specified by:
    `getHighValue` in interface `IHighLowDataPoint`
  Returns:
    A floating point value for a chart data point.

### setHighValue

    public void setHighValue(double highValue)

### incrementCount

    public void incrementCount()

### setCount

    public void setCount(int count)

### getCount

    public int getCount()

### compareTo

    public int compareTo(java.lang.Object o)

  This is for the Datapoint interface. It compares only the value of the measurements, not the timestamp.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Overrides:
    `compareTo` in class `MetricValue`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `MetricValue`

### getValues

    public double[] getValues()

  Description copied from interface: `IStackedDataPoint`
  Retrieves the value of a chart data point. The label is displayed on the X axis for stacked performance charts.

  Specified by:
    `getValues` in interface `IStackedDataPoint`
  Returns:
    A floating point value for a chart data point.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.